from parallels.core.utils.message_utils import single_line_message
from parallels.core.utils.message_utils import multi_line_message

TARGET_WEB_SERVICE_NODE_IP_NOT_SPECIFIED = single_line_message("""
	Target web service node IP is not specified for domain '%s'
""")
ATTRIBUTE_NAME_OF_WEBSPACE_NODE_CAN_NOT_BE_EMPTY = single_line_message("""
	Attribute 'name' of <webspace> node can not be empty
""")
FAILED_TO_READ_MOVE_LIST_FILE = single_line_message("""
	Failed to read move list file. Make sure it is a valid XML. Exception message: %s
""")
TARGET_IP_HAS_INVALID_TYPE = single_line_message("""
	Target IP '%s' has not valid IP type '%s' is not valid
""")
ATTRIBUTE_NAME_OF_WEBSPACE_NODE_MUST_BE_SET = single_line_message("""
	Attribute 'name' is not set for <webspace> node, but must be set for all <domain> nodes in move list
""")
TARGET_WEB_SERVICE_NODE_IP_NOT_VALID = single_line_message("""
	Target web service node IP '%s' specified for domain '%s' is not valid
""")
PPA_HOST_ID_OF_WEB_SERVICE = single_line_message("""
	PPA host id where subscriptions web service is located: %s
""")
MOVE_LIST_FILE_DOES_NOT_EXISTS = single_line_message("""
	Move list file does not exists. Please put correct move list file to '%s', or specify correct path to move list file
	with --move-list-file command-line option and restart moving tools.
""")
LOAD_LIST_OF_WEBSPACES = single_line_message("""
	Load list of webspaces which should be moved and store it into global context
""")
FAILED_TO_READ_MOVE_LIST = multi_line_message("""
	Failed to read move list:
	%s
	Please fix the move list file '%s' and restart moving tools.
""")
FAILED_TO_LOAD_LIST_OF_WEBSPACES_TO_MOVE = single_line_message("""
	Failed to load list of webspaces which should be moved and store it into global context
""")
RUNNING_REMOVE_BACKUP_FROM_SOURCE = single_line_message("""
	running remove backup from source
""")
RUNNING_DOWNLOADING_BACKUP = single_line_message("""
	running downloading backup
""")
FETCH_DATA_FROM_SOURCE_PPA_WEB_SN = single_line_message("""
	Fetch data from source PPA Web SN
""")
FAILED_TO_FETCH_DATA_FROM_SOURCE_PPA_WEB_SN = single_line_message("""
	Failed to fetch data from source PPA Web SN
""")
FETCH_DATA_FROM_TARGET_PPA_WEB_SN = single_line_message("""
	Fetch data from target PPA Web SN
""")
FAILED_TO_FETCH_DATA_FROM_TARGET_PPA_WEB_SN = single_line_message("""
	Failed to fetch data from target PPA Web SN
""")
MOVE_LIST_USED = single_line_message("""
	Move list from '%s' is used
""")
MOVE_LIST_NOT_SPECIFIED = single_line_message("""
	Required command-line option --move-list-file is not specified
""")
UNKNOWN_SERVICE_TO_MIGRATE = single_line_message("""
	Unknown service to migrate: <%s>
""")
UNKNOWN_NODE = single_line_message("""
	'Unknown node <%s>: expected <webspace> node'
""")